### Method

# Gtk DropTarget get_formats

#### Declaration [src]

    GdkContentFormats*
    gtk_drop_target_get_formats (
      GtkDropTarget* self
    )

#### Description [src]

Gets the data formats that this drop target accepts.

If the result is `NULL`, all formats are expected to be supported.

Gets property | `Gtk.DropTarget:formats`

#### Return value

Returns: | `GdkContentFormats*`
| The supported data formats.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.